#!/bin/sh
# システムチェック
# ---------------------------------------------- #


##### Main routine ###############################

# Function読み込み
. ${INST_HOME}/function.sh

# 初期処理
initialize

# 判別値の初期化
FLAG=0

declare -a SERVICE_LIST
svrCnt=0

UN=""
# TYPE
if [ "${1}" = "uninstall" ] ; then
  UN="アン"
fi

# 開始出力
CLEAR
msg_info  "${SECUREMATRIX} の稼動状態をチェックします。" \
          " " \
          "<!> ${UN}アップデートを行うには、" \
          "    ${SECUREMATRIX} を停止させておく必要があります。"

echo_sp "稼動状態チェック."
write_log "プロセス状態確認"

#----- Cron のチェック ------#
/opt/cse/smx/common/bin/monitor/process_check_all.sh | grep "Cron:on" > /dev/null
if [ $? -eq 0 ] ; then
  FLAG=1
  SERVICE_LIST[$svrCnt]="Cron        [ $CRON_STOP ]"
  svrCnt=`expr $svrCnt + 1`
fi
echo_sp "."

#----- ISBのチェック ------#
$ps $PS_OPT | $grep "$ISB_CMD" | $grep -v 'grep' > /dev/null
if [ $? -eq 0 ] ; then
  FLAG=1
  SERVICE_LIST[$svrCnt]="ISB サーバ  [ $ISB_STOP ]"
  svrCnt=`expr $svrCnt + 1`
fi
echo_sp "."

#----- EasySetup のチェック ------#
$ps $PS_OPT | $grep "$EZS_CMD" | $grep -v 'grep' > /dev/null
if [ $? -eq 0 ] ; then
  FLAG=1
  SERVICE_LIST[$svrCnt]="EasySetup   [ $EZS_STOP ]"
  svrCnt=`expr $svrCnt + 1`
fi
echo_sp "."


# 結果出力
if [ $FLAG -eq 0 ] ; then
  
  echo "${SECUREMATRIX} の停止状態を確認"
  echo ""
  msg_dialog  "${SECUREMATRIX} が停止していることを確認できました。" \
              "処理を継続します。"
  write_log "プロセス状態確認の完了"
  WAIT_ENTER
  
  exit 0
  
else
  
#  echo "${SECUREMATRIX} の稼動状態を確認！"
  $echo "エラー発生"
  $echo ""
  msg_err "${SECUREMATRIX} は稼動中です。${UN}アップデートを中断します。" \
          " " \
          "<!> ${UN}アップデートを行うには、" \
          "    ${SECUREMATRIX} を停止させておく必要があります。" \
          "    事前準備として、下記の停止コマンドを実行してください。" \
          "    （停止コマンドは、root権限で実行してください。）" \
          " " \
          "${SERVICE_LIST[0]}" \
          "${SERVICE_LIST[1]}" \
          "${SERVICE_LIST[2]}"
  arize_err "dmy" "${SECUREMATRIX} のプロセスが稼動中です。"
  exit 1
  
fi
